Subject: Configure Default Values

From: Jacob Faibussowitsch <[email-masked]>
Date: Wed, 2 Aug 2023 08:16:19 -0400

Hello,

TL;DR: What packages does configure enable by default, i.e. do not require a --with-PACKAGE flag to explicitly enable? Moreover, what are the best practices for configuring emacs that don’t require min-maxing your configuration options every time.

——

I like to configure my emacs install to be as (reasonably) fully featured as possible, so I peruse the ./configure --help options from time to time to see if any new packages are available. If I notice a package I don’t have in my list of --with-package I add it, and reconfigure. 

But my configure command is now pretty long, and it strikes me that this brittle in the face of changes to configure. Suppose there is a change in best practices, and now --with-FOO is better than --with-BAR, but because I have --with-BAR (and forgot to remove it), configure won’t look for FOO. My emacs conf will be slightly suboptimal (perish the thought!) and I won’t be any the wiser.

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)